PANIC(9)

NAME
panic - bring down system on fatal error

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
void
panic(const char *fmt, ...);
void
vpanic(const char *fmt, va_list ap);

DESCRIPTION
The panic() and vpanic() functions terminate the running system. The message fmt is a printf(3) style format string. The message is printed to the console and the location panicstr is set to the address of the message text for retrieval from the OS core dump.

If the kernel debugger is installed control is passed to it, otherwise an attempt to save a core dump of the OS to a configured dump device is made.

If panic() is called twice (from the disk sync routines, for example) the system is rebooted without syncing the disks.

RETURN VALUES
The panic() function does not return.